API reference

Webhooks

Webhook settings and extra destinations.

#Main webhook

GET/v3/webhook/
PATCH/v3/webhook/{webhook_url, webhook_version: "v1"|"v3", rotate_secret: true}

#Webhook destinations

Up to 20 per environment, each with its own URL, events and secret.

GET/v3/webhook-destinations/
POST/v3/webhook-destinations/{url, subscribed_events[], enabled}
GET/v3/webhook-destinations/{id}/
PATCH/v3/webhook-destinations/{id}/
DELETE/v3/webhook-destinations/{id}/
GET/v3/webhook-destinations/{id}/deliveries/Delivery log
POST/v3/webhook-destinations/{id}/test/Send a test event
bash
curl -X POST https://{{HOST}}/v3/webhook-destinations/ -H "x-api-key: sk_live_..." -H "Content-Type: application/json" \
  -d '{"url":"https://yourapp.com/kyc-users","subscribed_events":["user.status.updated"]}'

Deliveries carry X-Destination-Id and the same signature headers. See Webhooks.